# RPM specfile for xmms module
# Generated Fri Aug 24 19:38:58 2001 GMT by Ximian build system
# $Id: bb_do,v 1.127 2001/08/15 19:50:38 mike Exp $
# from $Id: helix-build.conf,v 1.39 2001/08/21 20:02:40 dobey Exp $

%define nam	xmms
%define ver	1.2.5

Name:     	xmms
Version: 	1.2.5
Release:	ximian.4
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 7.1 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/doc
URL:		http://www.xmms.org/
Source0:	xmms-1.2.5.tar.gz
Summary:	Audio player for the X Window System
Group:		Applications/Multimedia
Obsoletes:	xmms-esd
Obsoletes:	xmms-mikmod
Obsoletes:	xmms-gl
Obsoletes:	xmms-vorbis

%description

 XMMS (formerly known as X11Amp) is an X/GTK+ based audio player
 for various audio formats.
 .
 It's able to read and play:
  * Audio MPEG layer 1, 2, and 3 (with mpg123 plug-in),
  * WAV, RAW, AU (with internal wav plug-in and MikMod plug-in),
  * MOD, XM, S3M, and other module formats (with MikMod plug-in),
  * CD Audio (with CDAudio plug-in), with CDDB support,
  * .cin files, id Software.
 It has eSound, OSS, and disk writer support for outputting sound.
 .
 It looks almost the same as the famous Winamp, and includes those neat
 features like plug-ins, several of which come bundled,
 a spectrum analyzer, oscilloscope, WinAmp skins support, and
 a playlist window.


%files
/etc/X11/wmconfig/xmms
/opt/gnome/share/gnome/apps/Multimedia/xmms.desktop
/opt/gnome/bin/xmms
/opt/gnome/bin/wmxmms
/opt/gnome/lib/libxmms.so.*
/opt/gnome/lib/xmms/Input/*
/opt/gnome/lib/xmms/Output/*
/opt/gnome/lib/xmms/General/*
/opt/gnome/lib/xmms/Effect/*
/opt/gnome/lib/xmms/Visualization/*
/opt/gnome/share/xmms/*
/opt/gnome/share/pixmaps/xmms_logo.xpm
/opt/gnome/*/locale/*
/opt/gnome/man/man1/xmms*
/opt/gnome/man/man1/wmxmms*


%package -n xmms-devel
Summary:	XMMS - Static libraries and header files.
Group:		Applications/Multimedia
Requires:	%{nam} = %{ver}
Requires:	gtk+-devel
Provides:	xmmsdev = %{PACKAGE_VERSION}

%description -n xmms-devel
Static libraries and header files required for compiling xmms plugins.

%files -n xmms-devel
/opt/gnome/bin/xmms-config
/opt/gnome/lib/lib*.so
/opt/gnome/lib/lib*.a
/opt/gnome/lib/lib*.la
/opt/gnome/include/*
/opt/gnome/share/aclocal/xmms.m4


%package -n xmms-gl
Summary:	XMMS - Visualization plugins that use the Mesa3d library.
Group:		Applications/Multimedia
Requires:	%{nam} = %{ver}

%description -n xmms-gl
Visualization plugins that use the Mesa3d library.

%files -n xmms-gl
/opt/gnome/lib/xmms/Visualization/libogl_spectrum*


%package -n xmms-gnome
Summary:	XMMS - applet for controlling xmms from the GNOME panel.
Group:		Applications/Multimedia
Requires:	%{nam} = %{ver}
Requires:	gnome-libs >= 1.0.53
Provides:	xmmsgnm = %{PACKAGE_VERSION}

%description -n xmms-gnome
GNOME applet for controlling xmms from the GNOME panel

%files -n xmms-gnome
/opt/gnome/bin/gnomexmms
/etc/opt/gnome/CORBA/servers/gnomexmms.gnorba
/opt/gnome/share/applets/Multimedia/gnomexmms.desktop
/opt/gnome/man/man1/gnomexmms*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n xmms-1.2.5
    ;;
all)
%setup  -q -n xmms-1.2.5
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export MAKE RPM_COMMAND DESTDIR
case "$RPM_COMMAND" in
prepare|all)
    ./configure --sysconfdir=/etc/opt/gnome --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var --enable-3dnow --disable-libmikmodtest
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install DESTDIR=${DESTDIR}; install -d ${DESTDIR}/etc/X11/wmconfig/xmms; install -m 644 xmms/xmms.wmconfig ${DESTDIR}/etc/X11/wmconfig/xmms; install -d ${DESTDIR}/opt/gnome/share/pixmaps; install -m 644 xmms/xmms_logo.xpm ${DESTDIR}/opt/gnome/share/pixmaps; install -d ${DESTDIR}/opt/gnome/share/gnome/apps/Multimedia; install -m 644 xmms/xmms.desktop ${DESTDIR}/opt/gnome/share/gnome/apps/Multimedia
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
